API reference
Bulk SMS
Send one text message to many numbers with your own sender name.
POSThttps://uzobestgsm.com/api/v2/bulk-sms/
Header Authorization: Bearer YOUR_API_KEY. Try it free with your test key.
What to send
| Field | What it is |
|---|---|
| referencerequired | Your own unique ID for this order (1 to 64 letters, digits, dot, dash or underscore). |
| senderrequired | Up to 11 letters and numbers. |
| recipientsrequired | A list, or numbers separated by commas. |
| messagerequired | The text. No emojis. |
Example
curl -X POST https://uzobestgsm.com/api/v2/bulk-sms/ \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"reference": "ORD10030", "sender": "ADASTORES", "recipients": ["08031234567", "08051234567"], "message": "Our shop opens at 8am."}'
$ch = curl_init('https://uzobestgsm.com/api/v2/bulk-sms/');
curl_setopt_array($ch, [
CURLOPT_POST => true,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_TIMEOUT => 150,
CURLOPT_HTTPHEADER => ['Authorization: Bearer YOUR_API_KEY', 'Content-Type: application/json'],
CURLOPT_POSTFIELDS => json_encode([
'reference' => 'ORD10030',
'sender' => 'ADASTORES',
'recipients' => ['08031234567', '08051234567'],
'message' => 'Our shop opens at 8am.'
]),
]);
$answer = json_decode(curl_exec($ch), true);
const res = await fetch('https://uzobestgsm.com/api/v2/bulk-sms/', {
method: 'POST',
headers: { Authorization: 'Bearer YOUR_API_KEY', 'Content-Type': 'application/json' },
body: JSON.stringify({"reference": "ORD10030", "sender": "ADASTORES", "recipients": ["08031234567", "08051234567"], "message": "Our shop opens at 8am."}),
});
const answer = await res.json();
import requests
answer = requests.post(
'https://uzobestgsm.com/api/v2/bulk-sms/',
headers={'Authorization': 'Bearer YOUR_API_KEY'},
json={"reference": "ORD10030", "sender": "ADASTORES", "recipients": ["08031234567", "08051234567"], "message": "Our shop opens at 8am."},
timeout=150,
).json()
The answer
Read data.status: successful, pending or failed (refunded).
Answer
{
"status": true,
"message": "Order successful.",
"data": {
"reference": "ORD10030",
"id": "Data8935fa7f7",
"service": "bulk-sms",
"status": "successful",
"message": "Order successful.",
"amount": "1000.00",
"balance_before": "5000.00",
"balance_after": "4000.00"
},
"request_id": "req_3f9a1c2b7d4e5f60"
}
Pending? Look it up. Refused? See Errors.
Using the Classic / MSORG address instead?
POST https://uzobestgsm.com/api/sendsms/, header Token YOUR_API_KEY, fields sender, recipient, message.
Updated 2026-11-20. Questions? Contact support.

